/****************************************************************************/
/*                                                                          */
/*  Dc_Windows.h :  Header de gestion des ressources Windows.               */
/*                                                                          */
/****************************************************************************/
/*  Auteur : Franois GAUTHIER   *   Cooperteam   *   Date : Septembre 2010 */
/****************************************************************************/

#define ERR_WNDASBMP_CALLOC         1
#define ERR_WNDASBMP_CREATEDC       2
#define ERR_WNDASBMP_CREATECMPDC    3
#define ERR_WNDASBMP_CREATECMPBMP   4
#define ERR_WNDASBMP_GETDIBITS      5

#define WINDOWS_SET_INSTANCE        10
#define WINDOWS_GET_INSTANCE        11
#define WINDOWS_SET_HDIALOGMAIN     20
#define WINDOWS_GET_HDIALOGMAIN     21
#define WINDOWS_GET_HDIALOGSETTINGS 22
#define WINDOWS_SET_HDIALOGSETTINGS 23

#define BUTTON_GETPICTURE_ON        30
#define BUTTON_GETPICTURE_OFF       40
#define BUTTON_SELECTWINDOW_ON      31
#define BUTTON_SELECTWINDOW_OFF     41
#define CHECKBOX_TOPMOST_ON         32
#define CHECKBOX_TOPMOST_OFF        42
#define BUTTON_SETTINGS_ON          33
#define BUTTON_SETTINGS_OFF         43

void my_Button(int,HWND);
void my_Windows(int,void *,void *);
int GetWindowAsBitmap(int,int,int,int,int,HWND,int,int,int,int,int *,int *,unsigned char **,int *,int[]);

/***************************************************************************/